#!/bin/csh -f

echo "Compiling shader..."
shader hb_plastic.sl
echo "Rendering ambient..."
grep -v '^# ' scene.rib | cpp -DLIGHT=1 -DFILENAME=\"ambient.tif\" | render
echo "Rendering light1..."
grep -v '^# ' scene.rib | cpp -DLIGHT=2 -DFILENAME=\"light1.tif\" | render
echo "Rendering light2..."
grep -v '^# ' scene.rib | cpp -DLIGHT=3 -DFILENAME=\"light2.tif\" | render
echo "Rendering light3..."
grep -v '^# ' scene.rib | cpp -DLIGHT=4 -DFILENAME=\"light3.tif\" | render
echo "Interacting..."
interact interact.rib
