#ifndef __hx_InteractGeoStreamBinaryFile_h
#define __hx_InteractGeoStreamBinaryFile_h


#include <string>

namespace Interact {
namespace GeoStream {




class BinaryFile
	{
public:
	BinaryFile(const std::string &filename);
		
	~BinaryFile();
	
	
	typedef long long Offset;
	
	
	Offset Position() const
		{
		return(position);
		}
	
	void Output(const void *buffer,int size);
	
	template<class T> void Output(const T &value)
		{
		Output(&value,sizeof(T));
		}	
	
private:
	int fd;
	
	Offset position;
	};





}
}




#endif
