surface hb_plastic(
		float Ks = 0.5;
		float Kd = 0.5;
		float Ka = 1;
		float roughness = 0.2;
		color specular_color = 1;
		)
	{
	Sambient = Cs*Ka;
	Sdiffuse = Cs*Kd;
	Sspecular = specular_color*Ks;
	Sroughness = roughness;
	
	INTERACT_SURFACE color Sambient, Sdiffuse, Sspecular;
	INTERACT_SURFACE float Sroughness;
	INTERACT_SURFACE point P;
	INTERACT_SURFACE normal N;
	
	N = normalize(N);

	Cambient = Sambient*ambient();
	Cdiffuse = Sdiffuse*diffuse(N);
	Cspecular = Sspecular*specular(N,-normalize(I),Sroughness);

	INTERACT_MIX color Cambient, Cdiffuse, Cspecular;

	Oi = Os;
	Ci = Os*(Cambient + Cdiffuse + Cspecular);
	}
