#include "InteractGeoStreamBinaryFile.h"


#include <string>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>


namespace Interact {
namespace GeoStream {




BinaryFile::BinaryFile(const std::string &filename)
	{
	fd=open(filename.c_str(),O_WRONLY | O_CREAT | O_TRUNC | O_LARGEFILE,0666);

	if(fd<0)
		{
		fprintf(stderr,"bad file: %s\n",filename.c_str());

		exit(1);
		}

	position=0;
	}


BinaryFile::~BinaryFile()
	{
	close(fd);
	}



void BinaryFile::Output(const void *buffer,int size)
	{
//	fprintf(stderr,"%p:%d\n",buffer,size);
	
	write(fd,buffer,size);
	
	position+=size;
	}




}
}
