#ifndef __hx_InteractGeoStreamFile_h
#define __hx_InteractGeoStreamFile_h



#include "InteractGeoStreamBinaryFile.h"
#include "InteractGeoStreamChannelSet.h"



namespace Interact {
namespace GeoStream {




class File
	// Class to 
	{
	//P @section@
public:
	//H Public Methods
	
	//S Construction
	
	File(const std::string &filename);
	
	
	~File();





	void OutputGrid(ChannelSet &set,int width,int height,int offset);
		//### could be const if find chan had const version




	//H Public Data
	
	BinaryFile main_file;
	BinaryFile index_file;
	
	std::map<std::string,int> channel_name_to_index;
	
	std::vector<std::string> channel_name;
	std::vector<int> channel_triple;
	
	
	struct Coord
		{
		float x;
		float y;
		float z;
		};
		
	Coord low;
	Coord high;
		//### bounds
		//### format version

	};




}
}




#endif
