#ifndef __RemoteLens_h
#define __RemoteLens_h




#include "TcpSocket.h"





class RemoteLens
	// Class to @xxx@
	{
	//P @section@
public:

	static const int N_VARS=1024;



	struct Packet
		{
		float origin[3];

		float x[3];
		float y[3];
		float z[3];

		float lx,ly;
		float hx,hy;

		int sx,sy;

		int samples;
		};




	bool first_x;
	bool first_y;
	bool dx_valid;
	bool dy_valid;
	float ox;
	float oy;
	float dx;
	float dy;



	//H Public Methods
	
	//S Construction
	
	RemoteLens();
	
	~RemoteLens();



	bool CheckPacket();
		/// Check whether we have reached the end of the current packet, and
		/// receive a new one if so.
		//####d whether checked


	void GetOrigin(float *result);
		/// Get the next ray origin and place into <result>.
		
	void GetDirection(float *result);
		/// Get the next ray direction and place into <result>.
			//### res[3]?
			
	void PutColour(float *colour);
		/// Put the <colour> into the return buffer.
		//###d and advance pointers
	


	float PacketSamples() const;
		///###d

	float Value(int index) const
		{
		return(var[index]);
		}


	//H Public Data
private:	
	TcpSocket socket;

	int pos_count;
	int dir_count;
	int col_count;
	
	struct Packet packet;
	
	unsigned char *buffer;
	unsigned char *bufpoi;
	
	float var[N_VARS];
	};








#endif
