#include <stdio.h>
#include "shadeop.h"
#include "RemoteLens.h"
#include "SharedMemoryArray.h"
#include "ShadeopUtils.h"


extern "C" {



SHADEOP_TABLE(hb_interact_get_origin) =
{
       { "point hb_interact_get_origin()", "", "" },
       { "" }
};

SHADEOP_TABLE(hb_interact_get_direction) =
{
       { "vector hb_interact_get_direction()", "", "" },
       { "" }
};

SHADEOP_TABLE(hb_interact_put_color) =
{
       { "float hb_interact_put_color(color)", "", "" },
       { "" }
};



static RemoteLens *rl=NULL;



SHADEOP(hb_interact_get_origin)
	{
	if(rl==NULL)
		rl=new RemoteLens();
	
	if(rl->CheckPacket())
		{
		//### hmm
		}
		
	

	rl->GetOrigin((float *)argv[0]);

	return 0;
	}

SHADEOP(hb_interact_get_direction)
	{
	if(rl==NULL)
		rl=new RemoteLens();
	
	if(rl->CheckPacket())
		{
		//### hmm
		}
		

	rl->GetDirection((float *)argv[0]);

	return 0;
	}

SHADEOP(hb_interact_put_color)
	{
	if(rl==NULL)
		rl=new RemoteLens();
	
	if(rl->CheckPacket())
		{
		//### hmm
		}
		
	rl->PutColour((float *)argv[1]);

	return 0;
	}









SHADEOP_TABLE(hb_interact_variable) =
{
       { "float hb_interact_variable_single(float)", "", "" },
       { "color hb_interact_variable_triple(float)", "", "" },
       { "vector hb_interact_variable_triple(float)", "", "" },
       { "point hb_interact_variable_triple(float)", "", "" },
       { "" }
};





SHADEOP(hb_interact_variable_single)
	{

	int index=(int)(*((float *)argv[1]));
	
	if(rl==NULL)
		rl=new RemoteLens();

	*((float *)argv[0])=rl->Value(index);
		

	return 0;
	}
       
       
SHADEOP(hb_interact_variable_triple)
	{
	int index=(int)(*((float *)argv[1]));
	
	if(rl==NULL)
		rl=new RemoteLens();

	for(int i=0;i<3;++i)
		((float *)argv[0])[i]=rl->Value(index+i);

	return 0;
	}




};
